<?php
namespace Mirasvit\SeoMarkup\Block\Rs\BreadcrumbList;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Rs\BreadcrumbList
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Rs\BreadcrumbList implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Model\Config\BreadcrumbListConfig $breadcrumbListConfig, \Magento\Catalog\Helper\Data $catalogHelper, \Mirasvit\Seo\Api\Service\StateServiceInterface $stateService, \Magento\Framework\Registry $registry, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($breadcrumbListConfig, $catalogHelper, $stateService, $registry, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
